Subject: [Sipping] RE: [Sip] SIP Forward, Who pays the bill ?

From: "Fred Hasle" <[email-masked]>
Date: Tue, 18 May 2004 08:29:54 -0400

Hello Diego,
My understanding is the Diversion Header will be replaced with the
Request History Information
(http://www.ietf.org/internet-drafts/draft-ietf-sip-history-info-02.txt)
Fred.

----
Fred Hasle.
Leapstone Systems www.leapstone.com

-----Original Message-----
From: Diego B [mailto:[email-masked]] 
Sent: Tuesday, May 18, 2004 7:42 AM
To: [email-masked]; sipping
Cc: Cullen Jennings
Subject: [Sip] SIP Forward, Who pays the bill ?

Hi;
My question is regarding billing a forwarded sip call.

Lets take the exmple from draft-ietf-sipping-service-examples
2.7

Alice calls Bob, and Bob has all his incomming calls forwarded to the
PSTN.

Let say that calls from ALice to Bob in the same domain are free (same 
office, or same ITSP), but calls to the PSTN are not free.

Who pays for Alice call to Bob ??
In a normal situacion, Alice knows that the call is for free becuase she

is calling Bob's sip number. But the gateweay may create CDR from the 
 From header of the SIP message and at the end of the month Alice may 
have to pay for the call.

I see this kind of examples in several other drafts/RFC related to SIP 
services and call forward.

I belive forward is a very important feature, but this issue may be 
resolved. The question is if it is a standard way to make Bob pays for 
the second leg of the call like in PSTN forward.

Maybe changing the From header where applicable and adding a new one to 
"remember" that the call is from, in my example, Alice.

The diversion header (Diversion Indication in SIP 
draft-levy-sip-diversion-07.txt)" may be a solution if the PSTN gateway 
or the SIP Billing server support it and knows that they have to bill 
the sip-uri in the diversion header ( this is right ??? ).

Regards;

-- 
Diego B
MailVision Ltd.
Tel.  : +972-4-8500505 ext 13
e-mail: [email-masked]
web   : http://www.mailvision.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Mary Barnes" <[email-masked]>
Date: Mon, 24 May 2004 09:45:57 -0400

If option 2 is the preferred option (my view), then there would be no impact
on History-Info.  If option 1 is the preferred option, then this requires
special handling to ensure that the specific reason is captured by
History-Info.  That seems to be much more awkward, but is certainly open for
discussion. 

Mary.  

-----Original Message-----
From: Takuya Sawada [mailto:[email-masked]] 
Sent: Monday, May 24, 2004 4:48 AM
To: Barnes, Mary [NGC:B601:EXCH]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [Sipping] RE: [Sip] SIP Forward, Who pays the bill ?

Hi,

Do you have a plan to include the proposal in Johon's draft into
History-Info draft?

Regards,
Takuya

> 
> I've trimmed the receiver list and kept this on sipping only.  I think 
> folks should take a look at:
> http://www.ietf.org/internet-drafts/draft-elwell-sipping-redirection-r
> eason-
> 00.txt
> and see if this doesn't help fill the gap.  
> 
> This could be used in conjunction with History-Info: 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-history-info-02.txt
> to achieve the functionality of knowing when a a call has been 
> forwarded (obviously, not all addressing any billing requirements, but 
> I think all the information you would need would be available).
> 
> Regards,
> Mary.
> 
> From: Juha Heinanen [mailto:[email-masked]]
> Sent: Friday, May 21, 2004 3:55 AM
> To: Diego B
> Cc: Jonathan Rosenberg; Roy, Radhika R, ALABS; [email-masked];
Chowdhury,
> Sayan [Business:WBNG:7Q23]; [email-masked]; [email-masked];
[email-masked]
> Subject: Re: [Sipping] RE: [Sip] SIP Forward, Who pays the bill ?
> 
> 
> Diego B writes:
> 
>  > In a close environment, I can use whatever method to  recognize a
>  > forward situation. But SIP is about inter operability and integration 
>  > and AFAIK there are some drafts but nothing specific to inform of a
call 
>  > forward situation, I don't know the status of Diversion header, but
this 
>  > can be a solution if standardized.
> 
> both rpid and diversion headers have become de-facto industry ways to 
> achieve that you want.  may be one day some ietf standardized way to 
> do the same becomes widely implemented, at which point you can support 
> this new thing too.
> 
> -- juha
> 
> Use [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 
> 
> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP

--------
Takuya Sawada
KDDI Corporation (KDDI)
Garden Air Tower, 3-10-10, Iidabashi, 
Chiyoda-ku, Tokyo 102-8460, Japan
Tel: +81-3-6678-2997
Fax: +81-3-6678-0286
[email-masked]

---

From: "Mary Barnes" <[email-masked]>
Date: Mon, 24 May 2004 10:10:47 -0400

I've again pruned the receiver list. 

Others may be able to provide more detailed responses as to how you would
make use of History-Info for your ISUP/ISDN mapping, but I did want to
clarify a couple points, indicated by [MB] below.

Regards,
Mary. 

-----Original Message-----
From: Takuya Sawada [mailto:[email-masked]] 
Sent: Monday, May 24, 2004 4:51 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]; [email-masked]; Chowdhury, Sayan [Business:WBNG:7Q23];
[email-masked]; [email-masked]
Subject: Re: [Sipping] RE: [Sip] SIP Forward, Who pays the bill ?

Hi,

History-Info is the way to go in IETF. I agree with it. However, one of the
missing pieces in History-Info, I think, is the 
mappings of redirection information from/to ISUP/ISDN network. In diversion
draft, draft-levy-sip-diversion-07, section 10, 
elaborated on this topics with the examples.

Does anyone have a clear idea about ISUP/ISDN and History-Info mapping? Does
anyone have a plan to elaborate how interworking can be achieved?
draft-elwell-sipping-redirection-reason may provide redirect reason
mappings. But it may also need redirection counter or address presentation
mappings when we require a certain level of transparency on call forwarding
services.

[MB] The intent of History-Info in combination with John's recent proposal
for a "redirection reason" weren't intended to provide a one to one
replacement for the diversion draft.  The intent was that by using
History-Info to capture all the URIs to which a request has been targeted
and also capturing the reasons associated with those retargets, an
application could make use of the information to provide end services.
Gateways mapping to ISUP, QSIG, etc are one example of an application, but
not the only example, thus the functionality provided by History-Info must
be kept general.  There are uses, per the appendix, that are pure SIP
services.  

This interworking topic may be out of scope of IETF SIP WG and should be 
handled in other standard bodies like ITU-T or 3GPP.

[MB] The impresssion I took from the recent discussion at IETF-59 was that
the SIPPING WG is not particularly interested in dealing with how the
specific SDOs (eg. ECMA and others) are making use of the SIP building
blocks.  If the building blocks are insufficient, then certainly input is
requested which was the point of John Elwell's redirection reason draft.

But I want to be sure that History-Info can offer the capabilities which can
cover the mappings from/to ISUP/ISDN call forwarding services.

* For example, can we all agree with that redirection counter corresponds
  with the depth of the dotted index in the last History-Info header?
  We may allow pruning of the tree because in ISUP only the first and the
last 
  redirection infomation can be conveyed.
  and so on...

[MB] Discussion of pruning of the tree was brought up in the past (and
specifically highlighted during the session at IETF-59) and the agreement
was that there is no reason for the protocol to specify any pruning
methodology.  It's an application implementation decision.  Although,
certainly something the various SDOs wanting to use History-Info might want
to specify.  

Regards,
Takuya

P.S.
draft-levy-sip-diversion-07.txt has been deleted even before the expiration
date. Does anyone know why? (07-version was published in January 2004, which
means it will expire in July)

> 
> The topic of what mechanism you use to know about this forwarding 
> information has been a long topic with much discussion. Right now, the 
> WG has selected the history mechanism (which grew out of the diversion 
> work) work as a WG item. The RPID work has become RFC 3325. Given the 
> long history of this, I highly recommend that if you think there is a 
> reason that history will not meet your needs, get that out very soon 
> so that the history work can be modified.
> 
> I would be amazingly surprised to see diversion standardized.
> 
> Cullen
> 
> 
> 
> On 5/21/04 4:06 AM, "Dolly, Martin C, ALABS" <[email-masked]> wrote:
> 
> > A mechanism for relaying call forwarding information is needed, and 
> > I agree that the diversion draft is a viable solution.
> > 
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of 
> > Diego B
> > Sent: Friday, May 21, 2004 4:29 AM
> > To: Jonathan Rosenberg
> > Cc: Roy, Radhika R, ALABS; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked]
> > Agreed, but my first question was exactly that, if there is a 
> > standard way or standard Headers, to store information about a 
> > "forward" call.
> > 
> > In a normal situation, no one will touch the From header and 
> > "normally" PSTN gateway copy the user-info from the From SIP-URI to 
> > the PSTN "B number", and this is normally used to create the CDR.
> > 
> > I'm not trying to solve the CDR creation issue or how to bill a 
> > forward call, but I'm looking to a standard way to store forward 
> > information so one day this information will be used correctly to 
> > create CDRs/billing.
> > 
> > forward situation. But SIP is about inter operability and 
> > integration and AFAIK there are some drafts but nothing specific to 
> > inform of a call forward situation, I don't know the status of 
> > Diversion header, but this can be a solution if standardized.
> > 
> > Thanks
> > 
> > Jonathan Rosenberg wrote:
> >> To be clear, Baruch is proposing a new SIP header, which the SIP WG 
> >> would need to worry about.
> >> 
> >> I do not think such a thing is needed. As Keith pointed out, our 
> >> philosophy to date (and this is a broader IETF thing too), is to 
> >> make sure that you can *account* for what has happened. That is, 
> >> that the protocols contain sufficient information to record what 
> >> transpired in a call/transaction/dialog or whatever. Then, its 
> >> someone elses problem (for example, 3gpp) to specify how the 
> >> appropriate information is collected, what billing model is used, 
> >> and how a CDR is generated. Not to say that these things arent 
> >> important, they're just not the SIP working group's problem.
> >> 
> >> -Jonathan R.
> >> 
> 
> 

--------
Takuya Sawada
KDDI Corporation (KDDI)